Retrieves all tags within a tag category, grouped by tag type
Use this endpoint to retrieve available tags for categorizing reports. Currently only the ‘report’ tag category
is supported. Returns tags grouped by their tag type, with each tag including the reports it is associated with.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| filter | Optional filter. Currently only supports the ’tagCategory’ field with a value of ‘report’ | string (string) | Optional |
Filters
| Filter | Description | Type | Operators |
|---|---|---|---|
| tagCategory | Tag Category | String | equals |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
TagResponse
| Property | Description | Type |
|---|---|---|
| tagTypeId | integer (int32) | |
| tagTypeInfo | string | |
| values | string[] |
Example Response
[
{ "tagTypeId": 1, "tagTypeInfo": "string", "values": [
"string"
]
}
]